Package wx :: Class PaintEvent

[frames | no frames]

## Type PaintEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    PaintEvent

A paint event is sent when a window's contents needs to be repainted. Note that in an EVT_PAINT handler the application must always create a `wx.PaintDC` object, even if you do not use it. Otherwise MS Windows assumes that the window has not been painted yet and will send the event again, causing endless refreshes.

You can optimize painting by retrieving the rectangles that have been damaged using `wx.Window.GetUpdateRegion` and/or `wx.RegionIterator`, and only repainting these rectangles. The rectangles are in terms of the client area, and are unscrolled, so you will need to do some calculations using the current view position to obtain logical, scrolled units.

Method Summary
PaintEvent | `__init__(self, Id)`

Property Summary
| `thisown`: The membership flag

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:32 2007 | http://epydoc.sf.net